﻿using GTAOnlineCasinoHelper.Extensions;
using GTAOnlineCasinoHelper.Windows;
using MahApps.Metro;
using MahApps.Metro.Controls;
using MahApps.Metro.Controls.Dialogs;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GTAOnlineCasinoHelper
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : MetroWindow
    {
        public static MainWindow Instance { get; set; }

        public MainWindow()
        {
            Instance = this;
            InitializeComponent();
            this.Icon = Properties.Resources.GTA5.GetBitmapSource();
            LoadTheme();
        }

        private void LoadTheme()
        {
            string baseColor = Properties.Settings.Default.ThemeBaseColor;
            if (baseColor == null || baseColor.Equals(string.Empty))
            {
                baseColor = "Dark";
            }
            string colorScheme = Properties.Settings.Default.ThemeColorScheme;
            if (colorScheme == null || colorScheme.Equals(string.Empty))
            {
                colorScheme = "Teal";
            }
            ThemeManager.ChangeTheme(Application.Current, baseColor, colorScheme);
        }

        private void ButtonSettings_Click(object sender, RoutedEventArgs e)
        {
            new SettingsWindow().Show();
            //await this.ShowMessageAsync("Not implemented yet", "Settings has not been implemented yet");
        }
    }
}
